<template>
	<el-row class="deposite">
		<el-form ref="form" :model="form" label-width="6.25rem">
			<el-row class="marginTop10">
				<el-col :span="8" :offset="1">
					<el-form-item label="共/托管类型">{{form.bankAccountTypeName}}</el-form-item>
				</el-col>
			</el-row>
			<el-row class="marginTop10">
				<el-col :span="8" :offset="1">
					<el-form-item label="开户行">{{form.bankName}}</el-form-item>
				</el-col>
			</el-row>
			<el-row class="marginTop10">
				<el-col :span="8" :offset="1">
					<el-form-item label="账号名称">{{form.bankAccountName}}</el-form-item>
				</el-col>
			</el-row>
			<el-row class="marginTop10">
				<el-col :span="8" :offset="1">
					<el-form-item label="银行账号">{{form.bankAccountNumber}}</el-form-item>
				</el-col>
			</el-row>
		</el-form>
	</el-row>
</template>

<script>
import ootecoTable from '@com/ooteco_table'
export default {
	mixins: [$mixin],
	components: { ootecoTable },
	data() {
		return {
			form: {
				bankAccountTypeName: '',
				bankName: '',
				bankAccountName: '',
				bankAccountNumber: ''
			}
		}
	},
	methods: {
		requestData() {
			this.$http
				.get({
					url: 'biz/joint-or-escrow-account/get',
					params: {
						id: this.$route.query.businessId
					}
				})
				.then(
					({ data }) => {
						this.form = data
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {
		this.requestData()
	}
}
</script>

<style lang="less">
.deposite {
	.el-form-item {
		margin-bottom: 0;
	}
}
</style>
